package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/5/29 17:32
 **/
public class LearningReportTouchRecord extends BaseEntity {


    private static final long serialVersionUID = -6649480862036544354L;

    @ApiModelProperty("群id")
    private Long qrcodeId;

    @ApiModelProperty("分类id")
    private Long classifyId;

    @ApiModelProperty("社群码id")
    private Long bookGroupId;

    @ApiModelProperty("微信用户id")
    private String wxUserId;

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    @Override
    public String toString() {
        return "LearningReportTouchRecord{" +
                "qrcodeId=" + qrcodeId +
                ", classifyId=" + classifyId +
                ", bookGroupId=" + bookGroupId +
                ", wxUserId='" + wxUserId + '\'' +
                "} " + super.toString();
    }
}
